User avatar
octavius
Posts: 21
Joined: Tue Jun 12, 2012 9:11 pm

svn?

Fri Aug 03, 2012 6:16 am

im new to the weezy distro but just noticed there is no default svn command. which are you guys using to grab svn repositories?

jdbennet
Posts: 96
Joined: Sun Jul 22, 2012 2:25 pm

Re: svn?

Fri Aug 03, 2012 6:17 am

Code: Select all

apt-get install subversion

User avatar
octavius
Posts: 21
Joined: Tue Jun 12, 2012 9:11 pm

Re: svn?

Fri Aug 03, 2012 6:23 am

simple. thanks!

forloopfrootloop
Posts: 1
Joined: Sun Feb 21, 2016 5:53 am

Re: svn?

Sun Feb 21, 2016 6:01 am

I seem to be getting an error trying to install SVN onto raspbian 8. Is there a way to select a different mirror using apt-get? It appears that SVN SW is hosted here, but cant seem to get it to work with apt-get:
http://archive.raspbian.org/raspbian/pool/main/s/subversion/
[email protected] ~/Downloads $ sudo apt-get install subversion
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
libapr1 libaprutil1 libserf-1-1 libsvn1
Suggested packages:
subversion-tools db5.3-util
The following NEW packages will be installed:
libapr1 libaprutil1 libserf-1-1 libsvn1 subversion
0 upgraded, 5 newly installed, 0 to remove and 0 not upgraded.
Need to get 1826 kB/2024 kB of archives.
After this operation, 7549 kB of additional disk space will be used.
Do you want to continue? [Y/n] yes
Err http://mirrordirector.raspbian.org/raspbian/ jessie/main libsvn1 armhf 1.8.10-6+deb8u1
404 Not Found [IP: 5.153.225.207 80]
Err http://mirrordirector.raspbian.org/raspbian/ jessie/main subversion armhf 1.8.10-6+deb8u1
404 Not Found [IP: 5.153.225.207 80]
E: Failed to fetch http://mirrordirector.raspbian.org/raspbian/pool/main/s/subversion/libsvn1_1.8.10-6+deb8u1_armhf.deb 404 Not Found [IP: 5.153.225.207 80]

E: Failed to fetch http://mirrordirector.raspbian.org/raspbian/pool/main/s/subversion/subversion_1.8.10-6+deb8u1_armhf.deb 404 Not Found [IP: 5.153.225.207 80]
Thanks!
Mike

olio
Posts: 35
Joined: Tue Feb 02, 2016 8:55 am

Re: svn?

Mon Feb 29, 2016 10:07 am

Hello,
I have the same issue installing some applications using apt-get. It seems that the mirror directory structure changed. A system udate and upgrade didn't help. Anyone have an idea?
Greetings!
Olli

Heater
Posts: 14414
Joined: Tue Jul 17, 2012 3:02 pm

Re: svn?

Mon Feb 29, 2016 10:21 am

No problem here. Just installed subversion to Raspbian 8:

Code: Select all

$ sudo apt-get update
....da, da, da....
$ sudo apt-get upgrade
....da, da, da....
$ sudo apt-get install subversion
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following extra packages will be installed:
  libapr1 libaprutil1 libserf-1-1 libsvn1
Suggested packages:
  subversion-tools db5.3-util
The following NEW packages will be installed:
  libapr1 libaprutil1 libserf-1-1 libsvn1 subversion
0 upgraded, 5 newly installed, 0 to remove and 0 not upgraded.
Need to get 2,019 kB of archives.
After this operation, 7,549 kB of additional disk space will be used.
Do you want to continue? [Y/n] Y
Get:1 http://mirrordirector.raspbian.org/raspbian/ jessie/main libapr1 armhf 1.5.1-3 [77.1 kB]
Get:2 http://mirrordirector.raspbian.org/raspbian/ jessie/main libaprutil1 armhf 1.5.4-1 [75.9 kB]
Get:3 http://mirrordirector.raspbian.org/raspbian/ jessie/main libsvn1 armhf 1.8.10-6+deb8u2 [913 kB]
Get:4 http://mirrordirector.raspbian.org/raspbian/ jessie/main libserf-1-1 armhf 1.3.8-1 [45.3 kB]
Get:5 http://mirrordirector.raspbian.org/raspbian/ jessie/main subversion armhf 1.8.10-6+deb8u2 [908 kB]
Fetched 2,019 kB in 5s (349 kB/s)   
Selecting previously unselected package libapr1:armhf.
(Reading database ... 83110 files and directories currently installed.)
Preparing to unpack .../libapr1_1.5.1-3_armhf.deb ...
Unpacking libapr1:armhf (1.5.1-3) ...
Selecting previously unselected package libaprutil1:armhf.
Preparing to unpack .../libaprutil1_1.5.4-1_armhf.deb ...
Unpacking libaprutil1:armhf (1.5.4-1) ...
Selecting previously unselected package libserf-1-1:armhf.
Preparing to unpack .../libserf-1-1_1.3.8-1_armhf.deb ...
Unpacking libserf-1-1:armhf (1.3.8-1) ...
Selecting previously unselected package libsvn1:armhf.
Preparing to unpack .../libsvn1_1.8.10-6+deb8u2_armhf.deb ...
Unpacking libsvn1:armhf (1.8.10-6+deb8u2) ...
Selecting previously unselected package subversion.
Preparing to unpack .../subversion_1.8.10-6+deb8u2_armhf.deb ...
Unpacking subversion (1.8.10-6+deb8u2) ...
Processing triggers for man-db (2.7.0.2-5) ...
Setting up libapr1:armhf (1.5.1-3) ...
Setting up libaprutil1:armhf (1.5.4-1) ...
Setting up libserf-1-1:armhf (1.3.8-1) ...
Setting up libsvn1:armhf (1.8.10-6+deb8u2) ...
Setting up subversion (1.8.10-6+deb8u2) ...
Processing triggers for libc-bin (2.19-18+deb8u3) ...
[email protected]:~ $
I have noticed that sometimes such updates/installs fail with "file not found" or whatever error from the repo. It's always worked eventually when I try again later.
Memory in C++ is a leaky abstraction .

olio
Posts: 35
Joined: Tue Feb 02, 2016 8:55 am

Re: svn?

Mon Feb 29, 2016 3:16 pm

Hello Heater,
thanks for your post. I did the same just after you posted (update, upgrade, install subversion on raspbian 8.0). However I got still the same error messages (404 Not Found...) Maybe I should sleep a night over and try again tomorrow ;-)
Greetings!
Olli

olio
Posts: 35
Joined: Tue Feb 02, 2016 8:55 am

Re: svn?

Tue Mar 01, 2016 10:21 am

Hello,
OK today I tried again...without success. Does anybody know another way how to install subversion? I quite new in Linux.
Greetings!
Olli

Code: Select all

[email protected]:~ $ sudo apt-get update
da, da, da
[email protected]:~ $ sudo apt-get upgrade
da, da, da

[email protected]:~ $ sudo apt-get install subversion
Reading package lists... Done
Building dependency tree        
Reading state information... Done
The following packages were automatically installed and are no longer required:
  libdrm-freedreno1 libdrm-nouveau2 libdrm-radeon1 libelf1 libllvm3.5
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  libapr1 libaprutil1 libserf-1-1 libsvn1
Suggested packages:
  subversion-tools db5.3-util
The following NEW packages will be installed:
  libapr1 libaprutil1 libserf-1-1 libsvn1 subversion
0 upgraded, 5 newly installed, 0 to remove and 0 not upgraded.
Need to get 198 kB/2,019 kB of archives.
After this operation, 7,549 kB of additional disk space will be used.
Do you want to continue? [Y/n] y
Err http://mirrordirector.raspbian.org/raspbian/ jessie/main libapr1 armhf 1.5.1-3
  404  Not Found [IP: 94.242.192.42 80]
Err http://mirrordirector.raspbian.org/raspbian/ jessie/main libaprutil1 armhf 1.5.4-1
  404  Not Found [IP: 94.242.192.42 80]
Err http://mirrordirector.raspbian.org/raspbian/ jessie/main libserf-1-1 armhf 1.3.8-1
  404  Not Found [IP: 94.242.192.42 80]
E: Failed to fetch http://mirrordirector.raspbian.org/raspbian/pool/main/a/apr/libapr1_1.5.1-3_armhf.deb  404  Not Found [IP: 94.242.192.42 80]

E: Failed to fetch http://mirrordirector.raspbian.org/raspbian/pool/main/a/apr-util/libaprutil1_1.5.4-1_armhf.deb  404  Not Found [IP: 94.242.192.42 80]

E: Failed to fetch http://mirrordirector.raspbian.org/raspbian/pool/main/s/serf/libserf-1-1_1.3.8-1_armhf.deb  404  Not Found [IP: 94.242.192.42 80]

E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?
[email protected]:~ $

Heater
Posts: 14414
Joined: Tue Jul 17, 2012 3:02 pm

Re: svn?

Tue Mar 01, 2016 10:34 am

olio,

Ah, looking at your error messages now I remember. I have had this situation before.

See where it says:

Code: Select all

Unable to fetch some archives, maybe run apt-get update or try with --fix-missing
Well, why not do as it suggests?

Code: Select all

$ sudo apt-get update --fix-missing
$ sudo apt-get upgrade
$ sudo apt-get install subversion
I'm pretty sure that did the trick for me one time.
Memory in C++ is a leaky abstraction .

olio
Posts: 35
Joined: Tue Feb 02, 2016 8:55 am

Re: svn?

Tue Mar 01, 2016 10:53 am

Hello again,
yes I tried the --fix-missing before, but without success, because I didn't know, that it needs to be followed by "apt-get update" and "apt-get upgrade".
However, I entered the --fix-missing now correctly and removed afterwards the unused libraries with "apt-get autoremove" as suggested.
then "apt-get install subversion" resulted in the same errors. Maybe there is some blocking of the mirror activated. I will try it from another network access. Two weeks ago I installed it on my old Pi1 at home...no problem. Now I try to install it on a newer A+ at work. Here it doesn't work.
Greetings and thank you!
Olli

Return to “General discussion”